Page MenuHomePhabricator

Review/merge community contribution in https://gerrit.wikimedia.org/r/#/c/331942
Closed, ResolvedPublic

Description

Per stated foundation goals, we need to rapidly evaluate and if ok, merge the community contribution https://gerrit.wikimedia.org/r/#/c/331942

Event Timeline

Yurik created this task.Jan 14 2017, 9:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2017, 9:54 PM
Aklapper renamed this task from Review/merge community contribution to Review/merge community contribution in https://gerrit.wikimedia.org/r/#/c/331942.Jan 17 2017, 1:56 PM
debt moved this task from Backlog to Needs review on the Maps-Sprint board.Jan 17 2017, 5:01 PM

Needing review from gerrit:

Change 331942 - Needs Code-Review Label
Patch Sets (1/1)
Maps: Improve frame genertion

  • Fix missing tnone
  • Don't use align classes for fullwidth maps
  • Closer emulation of structure as images use
    • No div for none aligned content
    • Makes sure we don't need to redefine floatleft/right and center
    • Use a single consistent 'content' part for framed and frameless
  • Use a <img> element inside the <a> link.
    • <img> are one of few elements that feature replacement content.
    • replacement content automagically can keep aspect ratio using content-fit, which is nice for mobile.
    • Now matches scaling logic for MF
    • Make more sense HTML wise

TODO:

  • I don't understand some of that 'staticframe' stuff
  • lots of commented code should be made actionable
  • probably need to fix the VE editor now.
JGirault added a subscriber: TheDJ.Feb 7 2017, 10:01 PM

I am breaking this patch into granular tickets and patches so we can review them and address them separately. Thanks @TheDJ for your contribution.

Change 348643 had a related patch set uploaded (by JGirault):
[mediawiki/extensions/Kartographer@master] Clean up backward compatibility code that is no longer needed

https://gerrit.wikimedia.org/r/348643

Change 348643 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Clean up backward compatibility code that is no longer needed

https://gerrit.wikimedia.org/r/348643